# Webhooks

Used to manage webhooks

## List webhooks

 - [GET /v2/webhooks](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_listwebhooks.md): List webhooks

## Create webhooks

 - [POST /v2/webhooks](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_createwebhook.md): Create a new webhook

## Get webhooks

 - [GET /v2/webhooks/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_getwebhook.md): Get a single webhook based on its ID

## Delete webhooks

 - [DELETE /v2/webhooks/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_deletewebhook.md): Delete a single webhook based on its ID

## List subscriptions

 - [GET /v2/webhooks/{webhookId}/subscriptions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_listsubscriptions.md): List subscriptions

## Create webhook subscriptions

 - [POST /v2/webhooks/{webhookId}/subscriptions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_createsubscriptions.md): Create one or more new webhook subscription

## Get subscriptions

 - [GET /v2/webhooks/{webhookId}/subscriptions/{subscriptionId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_getsubscription.md): Get a single subscription based on its ID

## Delete subscriptions

 - [DELETE /v2/webhooks/{webhookId}/subscriptions/{subscriptionId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_deletesubscription.md): Delete a single subscription based on its ID

